import { Entity, Column } from "typeorm";
import { BaseModel } from "../../frame/BaseModel";

/**联系方式申请表 */
@Entity('contactApply')
export class ContactApply extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '申请用户id' })
  apply_user: number;
  @Column({ type: 'integer', nullable: true, comment: '被申请信息的用户id' })
  target_user: number;
  // 电话,联系人姓名,邮箱都动态获取
  @Column({ type: 'character varying', nullable: true, comment: '申请来源' })
  source: string; // 哪个表:需求,供给;专家
  @Column({ type: 'character varying', nullable: true, comment: '申请来源id' })
  source_id: string; // 哪个数据



  @Column({ type: 'character varying', nullable: true, default: '1', comment: '审核状态: 0-未审核;1通过;-1拒绝' })
  status: string;
}